// teams factory
app.factory('TeamsData',['$http', 'Config', function($http, Config) {
    var data = {};
    data.getTeamsData = function () {
        return $http(
            {
                method: 'GET', url:Config.TeamsUrl+'?cache='+Math.random()
            }
        );
    }
    return data;
}]);
// standing First factory
app.factory('StandingData',['$http', 'Config', function($http, Config) {
    var data = {};
    data.getStandingData = function () {
        return $http(
            {
                method: 'GET', url:Config.standing+'?cache='+Math.random()
            }
        );
    }
    return data;
}]);
// Highlights factory
app.factory('HighlightsData',['$http', 'Config', function($http, Config) {
    var data = {};
    data.getHighlightsData = function () {
        return $http(
            {
                method: 'GET', url:Config.highlights+'?cache='+Math.random()
            }
        );
    }
    return data;
}]);
// Playoffs factory
app.factory('PlayoffsData',['$http', 'Config', function($http, Config) {
    var data = {};
    data.getPlayoffsData = function () {
        return $http(
            {
                method: 'GET', url:Config.playoffs+'?cache='+Math.random()
            }
        );
    }
    return data;
}]);
// Serie del Caribe factory
app.factory('SerieDelCaribeData',['$http', 'Config', function($http, Config) {
    var data = {};
    data.getSerieDelCaribeData = function () {
        return $http(
            {
                method: 'GET', url:Config.seriedelcaribe+'?cache='+Math.random()
            }
        );
    }
    return data;
}]);
// Rosters factory
app.factory('RostersData',['$http', 'Config', function($http, Config) {
    var data = {};
    data.getRostersData = function (team) {
        return $http(
            {
                method: 'GET', url:Config.roster+'&team_id='+team+'&cache='+Math.random()
            }
        );
    }
    return data;
}]);
// Batting Stats factory
app.factory('BattingData',['$http', 'Config', function($http, Config) {
    var data = {};
    data.getBattingData = function () {
        return $http(
            {
                method: 'GET', url:Config.battingLeaders+'?cache='+Math.random()
            }
        );
    }
    return data;
}]);
// Pitching Stats factory
app.factory('PitchingData',['$http', 'Config', function($http, Config) {
    var data = {};
    data.getPitchingData = function () {
        return $http(
            {
                method: 'GET', url:Config.pitcherLeaders+'?cache='+Math.random()
            }
        );
    }
    return data;
}]);

// feeds
app.factory('News', ['$http', 'Config', function($http, Config) {
	var data = {};
	data.getNews = function () {
		return $http(
			{
				method: 'GET', url:Config.allNews+'?cache='+Math.random()
			}
		);
	}
  	return data;
}]);
// feeds
app.factory('TeamNewsData', ['$http', 'Config', function($http, Config) {
    var data = {};
    data.getNewsData = function () {
        return $http(
            {
                method: 'GET', url:Config.teamNews
            }
        );
    }
    return data;
}]);

// feeds
app.factory('TransactionsData', ['$http', 'Config', function($http, Config) {
    var data = {};
    data.getTransactions = function () {
        return $http(
            {
                method: 'GET', url:Config.transactions
            }
        );
    }
    return data;
}]);
/*
// push notification push to server
app.factory('SendPush',['$http', 'Config', function($http, Config) {
	var SendPush = {};
	SendPush.android = function(token) {
		return  $http({method: "post", url: 'http://www.skyafar.com/tools/push/push.php',
			data: {
				token: token,
			}
		});
	}
  	return SendPush;
}]);*/